efl::file Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::file Struct Reference

Class file. More...

## Public Member Functions
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
void | eject () const
bool | async_wait () const
void | mmap_get (const Eina_File **f_, const char **key_) const
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
void | file_get (const char **file_, const char **key_) const
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
bool | async_get () const
void | async_set (bool async_) const
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_error_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_opened_call (T *info)
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class file.

## Constructor & Destructor Documentation

efl::file::file | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::file object.

Constructs a new efl::file object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::file my_file(efl::eo::parent = parent_object);

See also
  file(Eo* eo)

efl::file::file | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::file::file | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool efl::file::save | ( | ::efl::eina::string_view | file_,
|  | ::efl::eina::string_view | key_,
|  | ::efl::eina::string_view | flags_
| ) |  | const

Parameters

  file |
  key |
  flags |